use serde::Deserialize;

#[derive(Debug, Deserialize)]
pub struct Config {
    pub url_handlers_pool_size: usize,
    pub port: u16,
}

pub fn get_configs() -> Result<Config, envy::Error> {
    envy::from_env()
}
